Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
datapush::Sensor Struct Reference

Sensor information. More...

## Public Attributes
Device | device
| Device information.
string | id
| Sensor identification.
int | readingtype
| Reading type (numeric or discrete)
sensors::NumericSensor MetaData | metadata
| Metadata (if readingType is NUMERIC)

## Detailed Description

Sensor information.

Definition at line 55 of file sensorpush.idl.

## Member Data Documentation

## ◆ device

Device datapush::Sensor::device

Device information.

Definition at line 56 of file sensorpush.idl.

## ◆ id

string datapush::Sensor::id

Sensor identification.

Definition at line 57 of file sensorpush.idl.

## ◆ metadata

sensors::NumericSensor MetaData datapush::Sensor::metadata

Metadata (if readingType is NUMERIC)

Definition at line 60 of file sensorpush.idl.

## ◆ readingtype

int datapush::Sensor::readingtype

Reading type (numeric or discrete)

Definition at line 58 of file sensorpush.idl.

The documentation for this struct was generated from the following file:

- sensorpush.idl